# 20230113告警报错问题排查

[接口源头地址](https://10.243.3.124/api/middlleplatform/NCfVA7/iDYQz4/v2.0)

```sh
# appid
0f9bf497549343e68ca36b4caffbc8c4
# secret
087b1ceb698140cd8c65543f5ace0490
```

## 20230113报错时间点总结

```sh
# 接口原始地址
https://10.243.3.124/api/middlleplatform/NCfVA7/iDYQz4/v2.0
# 经过ESB转发后的地址
http://10.160.84.7:8888/esb/HEB_AlarmCustomQuery/0?authcode=SEVCX1VDSUFQI0BhdXRoQCNTWnFsVk9QeA
# appid
0f9bf497549343e68ca36b4caffbc8c4

报错时间点：
2023-01-13 11:35:00
2023-01-13 11:35:00
2023-01-13 11:40:00
2023-01-13 11:50:16
2023-01-13 11:55:00
2023-01-13 12:00:00
2023-01-13 12:00:00
2023-01-13 12:15:00
2023-01-13 12:25:00
2023-01-13 12:35:00
2023-01-13 12:45:00

这边的逻辑是每5分钟执行1次任务，调用两次接口，第一次调用是获取新增告警，第二次是获取消除告警。
今天的表现是新增告警和消除告警调用时都存在报错。

持续时间是 11点36分到12点46分
```

报错时接口返回的html

```html
<!DOCTYPE html>
<html>
<head>
<title>Error</title>
<style>
html { color-scheme: light dark; }
body { width: 35em; margin: 0 auto;
font-family: Tahoma, Verdana, Arial, sans-serif; }
</style>
</head>
<body>
<h1>An error occurred.</h1>
<p>Sorry, the page you are looking for is currently unavailable.<br/>
Please try again later.</p>
<p>If you are the system administrator of this resource then you should check
the error log for details.</p>
<p><em>Faithfully yours, nginx.</em></p>
</body>
</html>
```
