package com.nokia.warninginterfact;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableScheduling
@SpringBootApplication
@ComponentScan({"com.nokia"})
public class WarninginterfactApplication extends SpringBootServletInitializer {
    public WarninginterfactApplication() {
    }
    public static void main(String[] args) {
        SpringApplication.run(WarninginterfactApplication.class, args);
    }

    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder builder) {
        return builder.sources(new Class[]{WarninginterfactApplication.class});
    }
}
